Blank page after installing classic theme

Dear @Vitaliy

I installed Classic theme on https://ijpss.unram.ac.id, it is the latest version after upgrading from 3.0.1.x
After installing the theme, the blank page comes up. Here are the error logs. I don’t know which one refer to the error

Thanks in advance

[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::getUserVar() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/form/Form.inc.php on line 388
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::_checkThis() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/core/PKPRequest.inc.php on line 592
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::getUserVar() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/form/Form.inc.php on line 388
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::_checkThis() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/core/PKPRequest.inc.php on line 592
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::getUserVar() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/form/Form.inc.php on line 388
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::_checkThis() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/core/PKPRequest.inc.php on line 592
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::getUserVar() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/form/Form.inc.php on line 388
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::_checkThis() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/core/PKPRequest.inc.php on line 592
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::getUserVar() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/form/Form.inc.php on line 388
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::_checkThis() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/core/PKPRequest.inc.php on line 592
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::getUserVar() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/form/Form.inc.php on line 388
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::_checkThis() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/core/PKPRequest.inc.php on line 592
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::getUserVar() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/form/Form.inc.php on line 388
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Deprecated: Non-static method PKPRequest::_checkThis() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/classes/core/PKPRequest.inc.php on line 592
[13-Nov-2018 01:53:50 UTC] PHP Warning: mktime(): Invalid date.timezone value ‘Asia/Makasar’, we selected the timezone ‘UTC’ for now. in /home/ijpssunram/public_html/lib/pkp/lib/adodb/adodb-time.inc.php on line 1073
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Strict Standards: Declaration of PKPUsageEventPlugin::getEnabled() should be compatible with LazyLoadPlugin::getEnabled($contextId = NULL) in /home/ijpssunram/public_html/lib/pkp/plugins/generic/usageEvent/PKPUsageEventPlugin.inc.php on line 386
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Strict Standards: Declaration of CustomBlockPlugin::getBlockContext() should be compatible with BlockPlugin::getBlockContext($contextId = NULL) in /home/ijpssunram/public_html/plugins/generic/customBlockManager/CustomBlockPlugin.inc.php on line 19
[13-Nov-2018 09:53:50 Asia/Makassar] PHP Strict Standards: Declaration of CustomBlockPlugin::getEnabled() should be compatible with BlockPlugin::getEnabled($contextId = NULL) in /home/ijpssunram/public_html/plugins/generic/customBlockManager/CustomBlockPlugin.inc.php on line 19
[13-Nov-2018 01:53:50 UTC] PHP Warning: mktime(): Invalid date.timezone value ‘Asia/Makasar’, we selected the timezone ‘UTC’ for now. in /home/ijpssunram/public_html/lib/pkp/lib/adodb/adodb-time.inc.php on line 1073
[13-Nov-2018 09:53:51 Asia/Makassar] PHP Strict Standards: Declaration of PKPUsageEventPlugin::getEnabled() should be compatible with LazyLoadPlugin::getEnabled($contextId = NULL) in /home/ijpssunram/public_html/lib/pkp/plugins/generic/usageEvent/PKPUsageEventPlugin.inc.php on line 386
[13-Nov-2018 09:53:51 Asia/Makassar] PHP Strict Standards: Declaration of CustomBlockPlugin::getBlockContext() should be compatible with BlockPlugin::getBlockContext($contextId = NULL) in /home/ijpssunram/public_html/plugins/generic/customBlockManager/CustomBlockPlugin.inc.php on line 19
[13-Nov-2018 09:53:51 Asia/Makassar] PHP Strict Standards: Declaration of CustomBlockPlugin::getEnabled() should be compatible with BlockPlugin::getEnabled($contextId = NULL) in /home/ijpssunram/public_html/plugins/generic/customBlockManager/CustomBlockPlugin.inc.php on line 19
[13-Nov-2018 01:53:53 UTC] PHP Warning: mktime(): Invalid date.timezone value ‘Asia/Makasar’, we selected the timezone ‘UTC’ for now. in /home/ijpssunram/public_html/lib/pkp/lib/adodb/adodb-time.inc.php on line 1073
[13-Nov-2018 09:53:53 Asia/Makassar] PHP Strict Standards: Declaration of PKPUsageEventPlugin::getEnabled() should be compatible with LazyLoadPlugin::getEnabled($contextId = NULL) in /home/ijpssunram/public_html/lib/pkp/plugins/generic/usageEvent/PKPUsageEventPlugin.inc.php on line 386
[13-Nov-2018 09:53:53 Asia/Makassar] PHP Strict Standards: Declaration of CustomBlockPlugin::getBlockContext() should be compatible with BlockPlugin::getBlockContext($contextId = NULL) in /home/ijpssunram/public_html/plugins/generic/customBlockManager/CustomBlockPlugin.inc.php on line 19
[13-Nov-2018 09:53:53 Asia/Makassar] PHP Strict Standards: Declaration of CustomBlockPlugin::getEnabled() should be compatible with BlockPlugin::getEnabled($contextId = NULL) in /home/ijpssunram/public_html/plugins/generic/customBlockManager/CustomBlockPlugin.inc.php on line 19
[13-Nov-2018 09:53:53 Asia/Makassar] PHP Strict Standards: Only variables should be assigned by reference in /home/ijpssunram/public_html/pages/index/IndexHandler.inc.php on line 68
[13-Nov-2018 09:53:53 Asia/Makassar] PHP Deprecated: Non-static method Config::getContextBaseUrls() should not be called statically, assuming $this from incompatible context in /home/ijpssunram/public_html/lib/pkp/plugins/generic/usageEvent/PKPUsageEventPlugin.inc.php on line 199
[13-Nov-2018 01:53:54 UTC] PHP Warning: mktime(): Invalid date.timezone value ‘Asia/Makasar’, we selected the timezone ‘UTC’ for now. in /home/ijpssunram/public_html/lib/pkp/lib/adodb/adodb-time.inc.php on line 1073
[13-Nov-2018 09:53:54 Asia/Makassar] PHP Strict Standards: Declaration of PKPUsageEventPlugin::getEnabled() should be compatible with LazyLoadPlugin::getEnabled($contextId = NULL) in /home/ijpssunram/public_html/lib/pkp/plugins/generic/usageEvent/PKPUsageEventPlugin.inc.php on line 386
[13-Nov-2018 09:53:54 Asia/Makassar] PHP Strict Standards: Declaration of CustomBlockPlugin::getBlockContext() should be compatible with BlockPlugin::getBlockContext($contextId = NULL) in /home/ijpssunram/public_html/plugins/generic/customBlockManager/CustomBlockPlugin.inc.php on line 19
[13-Nov-2018 09:53:54 Asia/Makassar] PHP Strict Standards: Declaration of CustomBlockPlugin::getEnabled() should be compatible with BlockPlugin::getEnabled($contextId = NULL) in /home/ijpssunram/public_html/plugins/generic/customBlockManager/CustomBlockPlugin.inc.php on line 19

What is the PHP version?

It is 5.6
It works with the Health science theme

Try to upgrade to 7.1 and see if it works.

It is only php 7 available. When I set it to php 7, the web runs blank

I think it at least needs 7.1. Just check with Dr. Vitaliy, if it works below it or not

Hi @kawahyu,

I don’t see any errors in logs. Can you view them again for Errors or Fatal errors? Messages with types Deprecated, Warning, Strict standards are not relevant for this case.

It shouldn’t contain the code that could not be interpreted with PHP 5.6

The text of the error will definitely tell more.

I got this

[18-Nov-2018 06:19:09 Asia/Makassar] PHP Fatal error: Call to a member function getVolume() on null in /home/ijpssunram/public_html/plugins/themes/classic/ClassicThemePlugin.inc.php on line 154

Some pages are accessible Login | Indonesian Journal of Peace and Security Studies (IJPSS) but Home and Current are not

Try publishing an article and see, if that works. I feel that at least one article has to be published. Codes shall have to be changed then i guess.

You are right, after publishing one issue it is accessible.

Thanks, I’ll check this one before next release: issue variable returns null on journal index and issue page · Issue #17 · pkp/classic · GitHub

So to reproduce I need to create an issue but do not publish it, right?